Name:		libvisual-plugins
Version:	0.2.0
Release:	1%{?dist}
Summary:	Plugins for use with libvisual

Group:		Applications/Multimedia
License:	GPL
URL:		http://libvisual.sourceforge.net/v2/
Source0:	http://easynews.dl.sourceforge.net/sourceforge/libvisual/libvisual-plugins-0.2.0.tar.gz
Patch0:		libvisual-plugins-0.2.0.mkinstalldirs.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libvisual-devel >= 0.2.0
BuildRequires:	xorg-x11-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel
BuildRequires:	pango-devel

%description
Libvisual is an abstraction library that comes between applications and audio
visualisation plugins. This package provides visualizer plugins for use with
libvisual aware applications.

%prep
%setup -q
%patch0 -p1

%build
%ifarch i386
export CFLAGS="${RPM_OPT_FLAGS} -mmmx"
%endif

%configure \
--enable-extra-optimization \
--disable-infinite \
--disable-flower \
--disable-dancingparticles \
--disable-gltest \
--disable-madspin \
--disable-nebulus 
# infinite disabled due to gcc 4 issue
# rest disabled because they are broken
# and cause totem to fail in a bad way

make %{?_smp_mflags}

%install
rm -rf %buildroot

make DESTDIR=%buildroot install

find %buildroot%_libdir -type f -name "*.la" -exec rm -f {} ';'

# there are no transform plugins. The library refers to it
# though as a place to look for plugins. Creating the directory
# even though empty prevents some meaningless error messages.
[ ! -d %buildroot%_libdir/libvisual/transform ] && mkdir -p %buildroot%_libdir/libvisual/transform

%clean
rm -rf %buildroot


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%_libdir/libvisual
%_datadir/libvisual/actor
%_datadir/libvisual-plugins

%changelog
* Wed Jun 15 2005 Michael A. Peters <mpeters@mac.com> - 0.2.0-1
- initial checkin to Extras CVS
